Openi DeveloperDeveloper

Update field

PATCH
/v1/datasets/fields/{fieldId}

Authorization

ApiKeyAuth
x-api-key<token>

Tenant API key

In: header

Path Parameters

fieldId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Partial of the field input. All keys optional.

name?string
Length1 <= length
type?string
Length1 <= length
key?string
Match^[A-Za-z][A-Za-z0-9_.-]{0,63}$
Length1 <= length <= 64
sourcePath?string
transform_expr?string
Lengthlength <= 65536
isIdentity?boolean

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/datasets/fields/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0",  "name": "string",  "type": "string",  "key": "string",  "source_path": "string",  "transform_expr": "string",  "is_identity": true,  "created_at": "2019-08-24T14:15:22Z"}